package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserGroupDetail;
import com.sa.ibiz.demo.demo.service.dto.UserGroupDetailSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserGroupDetail] 服务对象接口
 */
public interface UserGroupDetailService extends IService<UserGroupDetail>{

	boolean create(UserGroupDetail et);
	boolean update(UserGroupDetail et);
		UserGroupDetail get(UserGroupDetail et);
	boolean checkKey(UserGroupDetail et);
	boolean getDraft(UserGroupDetail et);
	boolean remove(UserGroupDetail et);
    List<UserGroupDetail> listDefault(UserGroupDetailSearchFilter filter) ;
	Page<UserGroupDetail> searchDefault(UserGroupDetailSearchFilter filter);
	/**	 实体[UserGroupDetail] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }